Index: t3lib/class.t3lib_tsparser_ext.php
===================================================================
--- t3lib/class.t3lib_tsparser_ext.php	(revision 9100)
+++ t3lib/class.t3lib_tsparser_ext.php	(revision )
@@ -1,29 +1,29 @@
 <?php
 /***************************************************************
-*  Copyright notice
-*
-*  (c) 1999-2010 Kasper Skårhøj (kasperYYYY@typo3.com)
-*  All rights reserved
-*
-*  This script is part of the TYPO3 project. The TYPO3 project is
-*  free software; you can redistribute it and/or modify
-*  it under the terms of the GNU General Public License as published by
-*  the Free Software Foundation; either version 2 of the License, or
-*  (at your option) any later version.
-*
-*  The GNU General Public License can be found at
-*  http://www.gnu.org/copyleft/gpl.html.
-*  A copy is found in the textfile GPL.txt and important notices to the license
-*  from the author is found in LICENSE.txt distributed with these scripts.
-*
-*
-*  This script is distributed in the hope that it will be useful,
-*  but WITHOUT ANY WARRANTY; without even the implied warranty of
-*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-*  GNU General Public License for more details.
-*
-*  This copyright notice MUST APPEAR in all copies of the script!
-***************************************************************/
+ *  Copyright notice
+ *
+ *  (c) 1999-2010 Kasper Skårhøj (kasperYYYY@typo3.com)
+ *  All rights reserved
+ *
+ *  This script is part of the TYPO3 project. The TYPO3 project is
+ *  free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ *  The GNU General Public License can be found at
+ *  http://www.gnu.org/copyleft/gpl.html.
+ *  A copy is found in the textfile GPL.txt and important notices to the license
+ *  from the author is found in LICENSE.txt distributed with these scripts.
+ *
+ *
+ *  This script is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  This copyright notice MUST APPEAR in all copies of the script!
+ ***************************************************************/
 /**
  * TSParser extension class to t3lib_TStemplate
  *
@@ -38,49 +38,49 @@
  *
  *
  *  105: class t3lib_tsparser_ext extends t3lib_TStemplate
- *  191:     function flattenSetup($setupArray, $prefix, $resourceFlag)
+ *  191:	 function flattenSetup($setupArray, $prefix, $resourceFlag)
- *  218:     function substituteConstants($all)
+ *  218:	 function substituteConstants($all)
- *  231:     function substituteConstantsCallBack($matches)
+ *  231:	 function substituteConstantsCallBack($matches)
- *  261:     function substituteCMarkers($all)
+ *  261:	 function substituteCMarkers($all)
- *  284:     function generateConfig_constants()
+ *  284:	 function generateConfig_constants()
- *  330:     function ext_getSetup($theSetup,$theKey)
+ *  330:	 function ext_getSetup($theSetup,$theKey)
- *  358:     function ext_getObjTree($arr, $depth_in, $depthData, $parentType='',$parentValue='', $alphaSort='0')
+ *  358:	 function ext_getObjTree($arr, $depth_in, $depthData, $parentType='',$parentValue='', $alphaSort='0')
- *  463:     function lineNumberToScript($lnArr)
+ *  463:	 function lineNumberToScript($lnArr)
- *  494:     function makeHtmlspecialchars($theValue)
+ *  494:	 function makeHtmlspecialchars($theValue)
- *  507:     function ext_getSearchKeys($arr, $depth_in, $searchString, $keyArray)
+ *  507:	 function ext_getSearchKeys($arr, $depth_in, $searchString, $keyArray)
- *  562:     function ext_getRootlineNumber($pid)
+ *  562:	 function ext_getRootlineNumber($pid)
- *  580:     function ext_getTemplateHierarchyArr($arr,$depthData, $keyArray,$first=0)
+ *  580:	 function ext_getTemplateHierarchyArr($arr,$depthData, $keyArray,$first=0)
- *  639:     function ext_process_hierarchyInfo($depthDataArr,&$pointer)
+ *  639:	 function ext_process_hierarchyInfo($depthDataArr,&$pointer)
- *  670:     function ext_outputTS($config, $lineNumbers=0, $comments=0, $crop=0, $syntaxHL=0, $syntaxHLBlockmode=0)
+ *  670:	 function ext_outputTS($config, $lineNumbers=0, $comments=0, $crop=0, $syntaxHL=0, $syntaxHLBlockmode=0)
- *  697:     function ext_fixed_lgd($string,$chars)
+ *  697:	 function ext_fixed_lgd($string,$chars)
- *  713:     function ext_lnBreakPointWrap($ln,$str)
+ *  713:	 function ext_lnBreakPointWrap($ln,$str)
- *  726:     function ext_formatTS($input, $ln, $comments=1, $crop=0)
+ *  726:	 function ext_formatTS($input, $ln, $comments=1, $crop=0)
- *  765:     function ext_getFirstTemplate($id,$template_uid=0)
+ *  765:	 function ext_getFirstTemplate($id,$template_uid=0)
- *  785:     function ext_getAllTemplates($id)
+ *  785:	 function ext_getAllTemplates($id)
- *  806:     function ext_compareFlatSetups($default)
+ *  806:	 function ext_compareFlatSetups($default)
- *  872:     function ext_categorizeEditableConstants($editConstArray)
+ *  872:	 function ext_categorizeEditableConstants($editConstArray)
- *  895:     function ext_getCategoryLabelArray()
+ *  895:	 function ext_getCategoryLabelArray()
- *  912:     function ext_getTypeData($type)
+ *  912:	 function ext_getTypeData($type)
- *  953:     function ext_getTSCE_config($category)
+ *  953:	 function ext_getTSCE_config($category)
- *  992:     function ext_getKeyImage($key)
+ *  992:	 function ext_getKeyImage($key)
- * 1002:     function ext_getTSCE_config_image($imgConf)
+ * 1002:	 function ext_getTSCE_config_image($imgConf)
- * 1026:     function ext_resourceDims()
+ * 1026:	 function ext_resourceDims()
- * 1056:     function ext_readDirResources($path)
+ * 1056:	 function ext_readDirResources($path)
- * 1071:     function readDirectory($path,$type='file')
+ * 1071:	 function readDirectory($path,$type='file')
- * 1096:     function ext_fNandV($params)
+ * 1096:	 function ext_fNandV($params)
- * 1114:     function ext_printFields($theConstants,$category)
+ * 1114:	 function ext_printFields($theConstants,$category)
  *
- *              SECTION: Processing input values
+ *			  SECTION: Processing input values
- * 1408:     function ext_regObjectPositions($constants)
+ * 1408:	 function ext_regObjectPositions($constants)
- * 1423:     function ext_regObjects($pre)
+ * 1423:	 function ext_regObjects($pre)
- * 1468:     function ext_putValueInConf($key, $var)
+ * 1468:	 function ext_putValueInConf($key, $var)
- * 1491:     function ext_removeValueInConf($key)
+ * 1491:	 function ext_removeValueInConf($key)
- * 1507:     function ext_depthKeys($arr,$settings)
+ * 1507:	 function ext_depthKeys($arr,$settings)
- * 1542:     function ext_procesInput($http_post_vars,$http_post_files,$theConstants,$tplRow)
+ * 1542:	 function ext_procesInput($http_post_vars,$http_post_files,$theConstants,$tplRow)
- * 1666:     function upload_copy_file($typeDat,&$tplRow,$theRealFileName,$tmp_name)
+ * 1666:	 function upload_copy_file($typeDat,&$tplRow,$theRealFileName,$tmp_name)
- * 1715:     function ext_prevPageWithTemplate($id,$perms_clause)
+ * 1715:	 function ext_prevPageWithTemplate($id,$perms_clause)
- * 1731:     function ext_setStar($val)
+ * 1731:	 function ext_setStar($val)
- * 1743:     function ext_detectAndFixExtensionPrefix($value)
+ * 1743:	 function ext_detectAndFixExtensionPrefix($value)
  *
  * TOTAL FUNCTIONS: 41
  * (This index is automatically created/updated by the extension "extdeveval")
@@ -88,12 +88,6 @@
  */
 
 
-
-
-
-
-
-
 /**
  * TSParser extension class to t3lib_TStemplate
  *
@@ -101,31 +95,31 @@
  * @package TYPO3
  * @subpackage t3lib
  */
-class t3lib_tsparser_ext extends t3lib_TStemplate	{
+class t3lib_tsparser_ext extends t3lib_TStemplate {
 
-	var $edit_divider = '###MOD_TS:EDITABLE_CONSTANTS###';		// This string is used to indicate the point in a template from where the editable constants are listed. Any vars before this point (if it exists though) is regarded as default values.
+	var $edit_divider = '###MOD_TS:EDITABLE_CONSTANTS###'; // This string is used to indicate the point in a template from where the editable constants are listed. Any vars before this point (if it exists though) is regarded as default values.
 	var $HTMLcolorList = 'aqua,beige,black,blue,brown,fuchsia,gold,gray,green,lime,maroon,navy,olive,orange,purple,red,silver,tan,teal,turquoise,yellow,white';
 
 		// internal
 	var $categories = array(
-		'basic' => array(),		// Constants of superior importance for the template-layout. This is dimensions, imagefiles and enabling of various features. The most basic constants, which you would almost always want to configure.
+		'basic' => array(), // Constants of superior importance for the template-layout. This is dimensions, imagefiles and enabling of various features. The most basic constants, which you would almost always want to configure.
-		'menu' => array(),		// Menu setup. This includes fontfiles, sizes, background images. Depending on the menutype.
+		'menu' => array(), // Menu setup. This includes fontfiles, sizes, background images. Depending on the menutype.
-		'content' => array(),	// All constants related to the display of pagecontent elements
+		'content' => array(), // All constants related to the display of pagecontent elements
-		'page' => array(),		// General configuration like metatags, link targets
+		'page' => array(), // General configuration like metatags, link targets
-		'advanced' => array(),	// Advanced functions, which are used very seldomly.
+		'advanced' => array(), // Advanced functions, which are used very seldomly.
-		'all' => array()		// All constants are put here also!
+		'all' => array() // All constants are put here also!
-	);		// This will be filled with the available categories of the current template.
+	); // This will be filled with the available categories of the current template.
 	var $subCategories = array(
-		// Standard categories:
+			// Standard categories:
 		'enable' => Array('Enable features', 'a'),
 		'dims' => Array('Dimensions, widths, heights, pixels', 'b'),
 		'file' => Array('Files', 'c'),
-		'typo'	=> Array('Typography', 'd'),
+		'typo' => Array('Typography', 'd'),
 		'color' => Array('Colors', 'e'),
 		'links' => Array('Links and targets', 'f'),
 		'language' => Array('Language specific constants', 'g'),
 
-		// subcategories based on the default content elements
+			// subcategories based on the default content elements
 		'cheader' => Array('Content: \'Header\'', 'ma'),
 		'cheader_g' => Array('Content: \'Header\', Graphical', 'ma'),
 		'ctext' => Array('Content: \'Text\'', 'mb'),
@@ -148,35 +142,35 @@
 	var $resourceDimensions = array();
 	var $dirResources = array();
 
-	var $backend_info=1;
+	var $backend_info = 1;
 
 		// tsconstanteditor
-	var $ext_inBrace=0;
+	var $ext_inBrace = 0;
 
 		// tsbrowser
 	var $tsbrowser_searchKeys = array();
 	var $tsbrowser_depthKeys = array();
-	var $constantMode='';
+	var $constantMode = '';
-	var $regexMode='';
+	var $regexMode = '';
-	var $fixedLgd='';
+	var $fixedLgd = '';
-	var $resourceCheck=0;
+	var $resourceCheck = 0;
-	var $ext_lineNumberOffset=0;
+	var $ext_lineNumberOffset = 0;
-	var $ext_localGfxPrefix='';
+	var $ext_localGfxPrefix = '';
-	var $ext_localWebGfxPrefix='';
+	var $ext_localWebGfxPrefix = '';
-	var $ext_expandAllNotes=0;
+	var $ext_expandAllNotes = 0;
-	var $ext_noPMicons=0;
+	var $ext_noPMicons = 0;
-	var $ext_noSpecialCharsOnLabels=0;
+	var $ext_noSpecialCharsOnLabels = 0;
-	var $ext_listOfTemplatesArr=array();
+	var $ext_listOfTemplatesArr = array();
-	var $ext_lineNumberOffset_mode='';
+	var $ext_lineNumberOffset_mode = '';
-	var $ext_dontCheckIssetValues=0;	// Dont change...
+	var $ext_dontCheckIssetValues = 0; // Dont change...
-	var $ext_noCEUploadAndCopying=0;
+	var $ext_noCEUploadAndCopying = 0;
-	var $ext_printAll=0;
+	var $ext_printAll = 0;
-	var $ext_CEformName='forms[0]';
+	var $ext_CEformName = 'forms[0]';
-	var $ext_defaultOnlineResourceFlag=0;
+	var $ext_defaultOnlineResourceFlag = 0;
 	var $doNotSortCategoriesBeforeMakingForm = FALSE;
 
 		// ts analyzer
-	var $templateTitles=array();
+	var $templateTitles = array();
 
 
 	/**
@@ -188,20 +182,21 @@
 	 * @param	[type]		$resourceFlag: ...
 	 * @return	[type]		...
 	 */
-	function flattenSetup($setupArray, $prefix, $resourceFlag)	{
+	function flattenSetup($setupArray, $prefix, $resourceFlag) {
-		if (is_array($setupArray))	{
+		if (is_array($setupArray)) {
-			$this->getFileName_backPath=PATH_site;		// Setting absolute prefixed path for relative resources.
+			$this->getFileName_backPath = PATH_site; // Setting absolute prefixed path for relative resources.
 			foreach ($setupArray as $key => $val) {
-				if ($prefix || substr($key,0,16)!='TSConstantEditor')	{		// We don't want 'TSConstantEditor' in the flattend setup.
+				if ($prefix || substr($key, 0, 16) != 'TSConstantEditor') { // We don't want 'TSConstantEditor' in the flattend setup.
-					if (is_array($val))	{
+					if (is_array($val)) {
-						$this->flattenSetup($val,$prefix.$key, ($key=='file.'));
+						$this->flattenSetup($val, $prefix . $key, ($key == 'file.'));
 					} elseif ($resourceFlag && $this->resourceCheck) {
-						$this->flatSetup[$prefix.$key] = $this->getFileName($val);
+						$this->flatSetup[$prefix . $key] = $this->getFileName($val);
-						if ($this->removeFromGetFilePath && substr($this->flatSetup[$prefix.$key],0,strlen($this->removeFromGetFilePath))==$this->removeFromGetFilePath)	{
+						if ($this->removeFromGetFilePath &&
+							substr($this->flatSetup[$prefix . $key], 0, strlen($this->removeFromGetFilePath)) == $this->removeFromGetFilePath) {
-							$this->flatSetup[$prefix.$key] = substr($this->flatSetup[$prefix.$key],strlen($this->removeFromGetFilePath));
+								$this->flatSetup[$prefix . $key] = substr($this->flatSetup[$prefix . $key], strlen($this->removeFromGetFilePath));
 						}
 					} else {
-						$this->flatSetup[$prefix.$key] = $val;
+						$this->flatSetup[$prefix . $key] = $val;
 					}
 				}
 			}
@@ -214,8 +209,8 @@
 	 * @param	[type]		$all: ...
 	 * @return	[type]		...
 	 */
-	function substituteConstants($all)	{
+	function substituteConstants($all) {
-		$this->Cmarker = substr(md5(uniqid('')),0,6);
+		$this->Cmarker = substr(md5(uniqid('')), 0, 6);
 
 		return preg_replace_callback('/\{\$(.[^}]+)\}/', array($this, 'substituteConstantsCallBack'), $all);
 	}
@@ -228,24 +223,24 @@
 	 * @see substituteConstants()
 	 */
 	function substituteConstantsCallBack($matches) {
-		switch($this->constantMode) {
+		switch ($this->constantMode) {
 			case 'const':
-				$ret_val =  isset($this->flatSetup[$matches[1]]) && !is_array($this->flatSetup[$matches[1]]) ?
+				$ret_val = isset($this->flatSetup[$matches[1]]) && !is_array($this->flatSetup[$matches[1]]) ?
-							'##'.$this->Cmarker.'_B##'.$matches[0].'##'.$this->Cmarker.'_E##' :
+						'##' . $this->Cmarker . '_B##' . $matches[0] . '##' . $this->Cmarker . '_E##' :
-							$matches[0];
-				break;
+						$matches[0];
+			break;
 			case 'subst':
-				$ret_val =  isset($this->flatSetup[$matches[1]]) && !is_array($this->flatSetup[$matches[1]]) ?
+				$ret_val = isset($this->flatSetup[$matches[1]]) && !is_array($this->flatSetup[$matches[1]]) ?
-							'##'.$this->Cmarker.'_B##'.$this->flatSetup[$matches[1]].'##'.$this->Cmarker.'_E##' :
+						'##' . $this->Cmarker . '_B##' . $this->flatSetup[$matches[1]] . '##' . $this->Cmarker . '_E##' :
-							$matches[0];
-				break;
+						$matches[0];
+			break;
 			case 'untouched':
 				$ret_val = $matches[0];
-				break;
+			break;
 			default:
-				$ret_val = 	isset($this->flatSetup[$matches[1]]) && !is_array($this->flatSetup[$matches[1]]) ?
+				$ret_val = isset($this->flatSetup[$matches[1]]) && !is_array($this->flatSetup[$matches[1]]) ?
-							$this->flatSetup[$matches[1]] :
-							$matches[0];
+						$this->flatSetup[$matches[1]] :
+						$matches[0];
 		}
 
 		return $ret_val;
@@ -257,15 +252,15 @@
 	 * @param	[type]		$all: ...
 	 * @return	[type]		...
 	 */
-	function substituteCMarkers($all)	{
+	function substituteCMarkers($all) {
-		switch($this->constantMode)	{
+		switch ($this->constantMode) {
 			case 'const':
-				$all = str_replace('##'.$this->Cmarker.'_B##', '<font color="green"><strong>', $all);
+				$all = str_replace('##' . $this->Cmarker . '_B##', '<font color="green"><strong>', $all);
-				$all = str_replace('##'.$this->Cmarker.'_E##', '</strong></font>', $all);
+				$all = str_replace('##' . $this->Cmarker . '_E##', '</strong></font>', $all);
 			break;
 			case 'subst':
-				$all = str_replace('##'.$this->Cmarker.'_B##', '<font color="green"><strong>', $all);
+				$all = str_replace('##' . $this->Cmarker . '_B##', '<font color="green"><strong>', $all);
-				$all = str_replace('##'.$this->Cmarker.'_E##', '</strong></font>', $all);
+				$all = str_replace('##' . $this->Cmarker . '_E##', '</strong></font>', $all);
 			break;
 			default:
 				$all = $all;
@@ -280,40 +275,40 @@
 	 *
 	 * @return	[type]		...
 	 */
-	function generateConfig_constants()	{
+	function generateConfig_constants() {
 			// These vars are also set lateron...
 		$this->setup['resources'] = $this->resources;
 		$this->setup['sitetitle'] = $this->sitetitle;
 
 			// parse constants
 		$constants = t3lib_div::makeInstance('t3lib_TSparser');
-		$constants->regComments=1;		// Register comments!
+		$constants->regComments = 1; // Register comments!
 		$constants->setup = $this->const;
 		$constants->setup = $this->mergeConstantsFromPageTSconfig($constants->setup);
 
 		/* @var $matchObj t3lib_matchCondition_frontend */
 		$matchObj = t3lib_div::makeInstance('t3lib_matchCondition_frontend');
-		$matchObj->setSimulateMatchResult(true);	// Matches ALL conditions in TypoScript
+		$matchObj->setSimulateMatchResult(TRUE); // Matches ALL conditions in TypoScript
 
-		$c=0;
+		$c = 0;
-		$cc=count($this->constants);
+		$cc = count($this->constants);
 		foreach ($this->constants as $str) {
 			$c++;
-			if ($c==$cc)	{
+			if ($c == $cc) {
-				if (strstr($str,$this->edit_divider))	{
+				if (strstr($str, $this->edit_divider)) {
-					$parts = explode($this->edit_divider,$str,2);
+					$parts = explode($this->edit_divider, $str, 2);
-					$str=$parts[1];
+					$str = $parts[1];
-					$constants->parse($parts[0],$matchObj);
+					$constants->parse($parts[0], $matchObj);
 				}
 				$this->flatSetup = Array();
-				$this->flattenSetup($constants->setup,'','');
+				$this->flattenSetup($constants->setup, '', '');
-				$defaultConstants=$this->flatSetup;
+				$defaultConstants = $this->flatSetup;
 			}
-			$constants->parse($str,$matchObj);
+			$constants->parse($str, $matchObj);
 		}
 
 		$this->flatSetup = Array();
-		$this->flattenSetup($constants->setup,'','');
+		$this->flattenSetup($constants->setup, '', '');
 		$this->setup['constants'] = $constants->setup;
 
 		return $this->ext_compareFlatSetups($defaultConstants);
@@ -326,19 +321,19 @@
 	 * @param	[type]		$theKey: ...
 	 * @return	[type]		...
 	 */
-	function ext_getSetup($theSetup,$theKey)	{
+	function ext_getSetup($theSetup, $theKey) {
-		$parts = explode('.',$theKey,2);
+		$parts = explode('.', $theKey, 2);
-		if (strcmp($parts[0],'') && is_array($theSetup[$parts[0].'.']))	{
+		if (strcmp($parts[0], '') && is_array($theSetup[$parts[0] . '.'])) {
-			if (strcmp(trim($parts[1]),''))	{
+			if (strcmp(trim($parts[1]), '')) {
-				return $this->ext_getSetup($theSetup[$parts[0].'.'],trim($parts[1]));
+				return $this->ext_getSetup($theSetup[$parts[0] . '.'], trim($parts[1]));
 			} else {
-				return array($theSetup[$parts[0].'.'], $theSetup[$parts[0]]);
+				return array($theSetup[$parts[0] . '.'], $theSetup[$parts[0]]);
 			}
 		} else {
-			if (strcmp(trim($theKey),''))	{
+			if (strcmp(trim($theKey), '')) {
-				return array(array(),$theSetup[$theKey]);
+				return array(array(), $theSetup[$theKey]);
 			} else {
-				return array($theSetup,'');
+				return array($theSetup, '');
 			}
 		}
 	}
@@ -354,103 +349,114 @@
 	 * @param	boolean		$alphaSort sorts the array keys / tree by alphabet when set to 1
 	 * @return	[type]		...
 	 */
-	function ext_getObjTree($arr, $depth_in, $depthData, $parentType='',$parentValue='', $alphaSort='0')	{
+	function ext_getObjTree($arr, $depth_in, $depthData, $parentType = '', $parentValue = '', $alphaSort = '0') {
-		$HTML='';
+		$HTML = '';
-		$a=0;
+		$a = 0;
 
-		if($alphaSort == '1')	{
+		if ($alphaSort == '1') {
 			ksort($arr);
 		}
-		$keyArr_num=array();
+		$keyArr_num = array();
-		$keyArr_alpha=array();
+		$keyArr_alpha = array();
 		foreach ($arr as $key => $value) {
-			if (substr($key,-2)!='..')	{	// Don't do anything with comments / linenumber registrations...
+			if (substr($key, -2) != '..') { // Don't do anything with comments / linenumber registrations...
-				$key=preg_replace('/\.$/','',$key);
+				$key = preg_replace('/\.$/', '', $key);
-				if (substr($key,-1)!='.')	{
+				if (substr($key, -1) != '.') {
-					if (t3lib_div::testInt($key))	{
+					if (t3lib_div::testInt($key)) {
-						$keyArr_num[$key]=$arr[$key];
+						$keyArr_num[$key] = $arr[$key];
 					} else {
-						$keyArr_alpha[$key]=$arr[$key];
+						$keyArr_alpha[$key] = $arr[$key];
 					}
 				}
 			}
 		}
 		ksort($keyArr_num);
-		$keyArr=$keyArr_num+$keyArr_alpha;
+		$keyArr = $keyArr_num + $keyArr_alpha;
-		$c=count($keyArr);
+		$c = count($keyArr);
-		if ($depth_in)	{$depth_in = $depth_in.'.';}
+		if ($depth_in) {
+			$depth_in = $depth_in . '.';
+		}
 
 		foreach ($keyArr as $key => $value) {
 			$a++;
-			$depth=$depth_in.$key;
+			$depth = $depth_in . $key;
-			if ($this->bType!='const' || substr($depth,0,1)!='_')	{		// this excludes all constants starting with '_' from being shown.
+			if ($this->bType != 'const' || substr($depth, 0, 1) != '_') { // this excludes all constants starting with '_' from being shown.
-				$goto = substr(md5($depth),0,6);
+				$goto = substr(md5($depth), 0, 6);
-				$deeper = (is_array($arr[$key.'.']) && ($this->tsbrowser_depthKeys[$depth] || $this->ext_expandAllNotes)) ? 1 : 0;
+				$deeper = (is_array($arr[$key . '.']) && ($this->tsbrowser_depthKeys[$depth] || $this->ext_expandAllNotes)) ? 1 : 0;
 				$PM = 'join';
-				$LN = ($a==$c)?'blank':'line';
+				$LN = ($a == $c) ? 'blank' : 'line';
-				$BTM = ($a==$c)?'bottom':'';
+				$BTM = ($a == $c) ? 'bottom' : '';
-				$PM = is_array($arr[$key.'.']) && !$this->ext_noPMicons ? ($deeper ? 'minus':'plus') : 'join';
+				$PM = is_array($arr[$key . '.']) && !$this->ext_noPMicons ? ($deeper ? 'minus' : 'plus') : 'join';
 
-				$HTML.=$depthData;
+				$HTML .= $depthData;
-				$theIcon='<img src="'.$GLOBALS['BACK_PATH'].'gfx/ol/'.$PM.$BTM.'.gif" width="18" height="16" align="top" border="0" alt="" />';
+				$theIcon = '<img src="' . $GLOBALS['BACK_PATH'] . 'gfx/ol/' . $PM . $BTM . '.gif" width="18" height="16" align="top" border="0" alt="" />';
-				if ($PM=='join')	{
+				if ($PM == 'join') {
-					$HTML.=$theIcon;
+					$HTML .= $theIcon;
 				} else {
-					$aHref='index.php?id=' . $GLOBALS['SOBE']->id .
+					$aHref = 'index.php?id=' . $GLOBALS['SOBE']->id .
-						'&tsbr[' . $depth.']=' . ($deeper ? 0 : 1) .
+							 '&tsbr[' . $depth . ']=' . ($deeper ? 0 : 1) .
-						(t3lib_div::_GP("breakPointLN") ? '&breakPointLN=' . t3lib_div::_GP("breakPointLN") : '') .
+							 (t3lib_div::_GP("breakPointLN") ? '&breakPointLN=' . t3lib_div::_GP("breakPointLN") : '') .
-						'#' .$goto;
+							 '#' . $goto;
-					$HTML.='<a name="'.$goto.'" href="'.htmlspecialchars($aHref).'">'.$theIcon.'</a>';
+					$HTML .= '<a name="' . $goto . '" href="' . htmlspecialchars($aHref) . '">' . $theIcon . '</a>';
 				}
 
 				$label = $key;
-				if (t3lib_div::inList('types,resources,sitetitle',$depth) && $this->bType=='setup')	{		// Read only...
+				if (t3lib_div::inList('types,resources,sitetitle', $depth) && $this->bType == 'setup') { // Read only...
-					$label='<font color="#666666">'.$label.'</font>';
+					$label = '<font color="#666666">' . $label . '</font>';
 				} else {
-					if ($this->linkObjects)	{
+					if ($this->linkObjects) {
-						$aHref = 'index.php?id='.$GLOBALS['SOBE']->id .
+						$aHref = 'index.php?id=' . $GLOBALS['SOBE']->id .
-							'&sObj=' . $depth .
-							(t3lib_div::_GP("breakPointLN") ? '&breakPointLN=' . t3lib_div::_GP("breakPointLN") : '');
+								 '&sObj=' . $depth .
+								 (t3lib_div::_GP("breakPointLN") ? '&breakPointLN=' . t3lib_div::_GP("breakPointLN") : '');
-						if ($this->bType!='const')	{
+						if ($this->bType != 'const') {
-							$ln = is_array($arr[$key.'.ln..']) ? 'Defined in: '.$this->lineNumberToScript($arr[$key.'.ln..']) : 'N/A';
+							$ln = is_array($arr[$key . '.ln..']) ? 'Defined in: ' . $this->lineNumberToScript($arr[$key . '.ln..']) : 'N/A';
 						} else {
 							$ln = '';
 						}
 
-						if ($this->tsbrowser_searchKeys[$depth] & 4)	{ $label = '<strong><font color="red">'.$label.'</font></strong>'; }	// The key has matched the search string
+						if ($this->tsbrowser_searchKeys[$depth] & 4) {
+							$label = '<strong><font color="red">' . $label . '</font></strong>';
+						} // The key has matched the search string
-						$label = '<a href="'.htmlspecialchars($aHref).'" title="'.htmlspecialchars($ln).'">'.$label.'</a>';
+						$label = '<a href="' . htmlspecialchars($aHref) . '" title="' . htmlspecialchars($ln) . '">' . $label . '</a>';
 					}
 				}
 
-				$HTML.='['.$label.']';
+				$HTML .= '[' . $label . ']';
 
-				if (isset($arr[$key]))	{
+				if (isset($arr[$key])) {
 					$theValue = $arr[$key];
-					if ($this->fixedLgd)	{
+					if ($this->fixedLgd) {
-						$imgBlocks = ceil(1+strlen($depthData)/77);
+						$imgBlocks = ceil(1 + strlen($depthData) / 77);
-						$lgdChars = 68-ceil(strlen('['.$key.']')*0.8)-$imgBlocks*3;
+						$lgdChars = 68 - ceil(strlen('[' . $key . ']') * 0.8) - $imgBlocks * 3;
-						$theValue = $this->ext_fixed_lgd($theValue,$lgdChars);
+						$theValue = $this->ext_fixed_lgd($theValue, $lgdChars);
 					}
-					if ($this->tsbrowser_searchKeys[$depth] & 2)	{	// The value has matched the search string
+					if ($this->tsbrowser_searchKeys[$depth] & 2) { // The value has matched the search string
-						$HTML.='&nbsp;=&nbsp;<strong><font color="red">'.$this->makeHtmlspecialchars($theValue).'</font></strong>';
+						$HTML .= '&nbsp;=&nbsp;<strong><font color="red">' . $this->makeHtmlspecialchars($theValue) . '</font></strong>';
 					} else {
-						$HTML.='&nbsp;=&nbsp;<strong>'.$this->makeHtmlspecialchars($theValue).'</strong>';
+						$HTML .= '&nbsp;=&nbsp;<strong>' . $this->makeHtmlspecialchars($theValue) . '</strong>';
 					}
-					if ($this->ext_regComments && isset($arr[$key.'..']))	{
+					if ($this->ext_regComments && isset($arr[$key . '..'])) {
-						$comment = $arr[$key.'..'];
+						$comment = $arr[$key . '..'];
-						if (!preg_match('/### <INCLUDE_TYPOSCRIPT:.*/', $comment)) {	// Skip INCLUDE_TYPOSCRIPT comments, they are almost useless
+						if (!preg_match('/### <INCLUDE_TYPOSCRIPT:.*/', $comment)) { // Skip INCLUDE_TYPOSCRIPT comments, they are almost useless
-							$comment = preg_replace('/[\r\n]/', ' ', $comment);	// Remove linebreaks, replace with ' '
+							$comment = preg_replace('/[\r\n]/', ' ', $comment); // Remove linebreaks, replace with ' '
-							$comment = preg_replace('/[#\*]{2,}/', '', $comment);	// Remove # and * if more than twice in a row
+							$comment = preg_replace('/[#\*]{2,}/', '', $comment); // Remove # and * if more than twice in a row
-							$comment = preg_replace('/^[#\*\s]+/', '# ', $comment);	// Replace leading # (just if it exists) and add it again. Result: Every comment should be prefixed by a '#'.
+							$comment = preg_replace('/^[#\*\s]+/', '# ', $comment); // Replace leading # (just if it exists) and add it again. Result: Every comment should be prefixed by a '#'.
-							$comment = $this->makeHtmlspecialchars($comment);	// Masking HTML Tags: Replace < with &lt; and > with &gt;
+							$comment = $this->makeHtmlspecialchars($comment); // Masking HTML Tags: Replace < with &lt; and > with &gt;
-							$HTML.= ' <span class="comment">'.trim($comment).'</span>';
+							$HTML .= ' <span class="comment">' . trim($comment) . '</span>';
 						}
 					}
 				}
-				$HTML.='<br />';
+				$HTML .= '<br />';
 
-				if ($deeper)	{
+				if ($deeper) {
-					$HTML.=$this->ext_getObjTree($arr[$key.'.'], $depth, $depthData.'<img src="'.$GLOBALS['BACK_PATH'].'gfx/ol/'.$LN.'.gif" width="18" height="16" align="top" alt="" />', '' /* not used: $validate_info[$key] */, $arr[$key], $alphaSort);
+					$HTML .= $this->ext_getObjTree(
+						$arr[$key . '.'],
+						$depth,
+						$depthData . '<img src="' . $GLOBALS['BACK_PATH'] . 'gfx/ol/' . $LN . '.gif" width="18" height="16" align="top" alt="" />',
+						'' /* not used: $validate_info[$key] */,
+						$arr[$key],
+						$alphaSort
+					);
 				}
 			}
 		}
@@ -463,29 +469,29 @@
 	 * @param	[type]		$lnArr: ...
 	 * @return	[type]		...
 	 */
-	function lineNumberToScript($lnArr)	{
+	function lineNumberToScript($lnArr) {
-		if (!is_array($this->lnToScript))	{
+		if (!is_array($this->lnToScript)) {
 			$this->lnToScript = array();
-			$c=1;
+			$c = 1;
-			$c+=substr_count($GLOBALS['TYPO3_CONF_VARS']['FE']['defaultTypoScript_setup'],LF)+2;
+			$c += substr_count($GLOBALS['TYPO3_CONF_VARS']['FE']['defaultTypoScript_setup'], LF) + 2;
 			$this->lnToScript[$c] = '[Default]';
 
-			foreach($this->hierarchyInfoToRoot as $info)	{
+			foreach ($this->hierarchyInfoToRoot as $info) {
-				$c+=$info['configLines']+1;
+				$c += $info['configLines'] + 1;
 				$this->lnToScript[$c] = $info['title'];
 			}
 		}
 
-		foreach($lnArr as $k => $ln)	{
+		foreach ($lnArr as $k => $ln) {
-			foreach($this->lnToScript as $endLn => $title)	{
+			foreach ($this->lnToScript as $endLn => $title) {
-				if ($endLn >= intval($ln))	{
+				if ($endLn >= intval($ln)) {
-					$lnArr[$k] = '"'.$title.'", '.$ln;
+					$lnArr[$k] = '"' . $title . '", ' . $ln;
 					break;
 				}
 			}
 		}
 
-		return implode('; ',$lnArr);
+		return implode('; ', $lnArr);
 	}
 
 	/**
@@ -494,7 +500,7 @@
 	 * @param	[type]		$theValue: ...
 	 * @return	[type]		...
 	 */
-	function makeHtmlspecialchars($theValue){
+	function makeHtmlspecialchars($theValue) {
 		return $this->ext_noSpecialCharsOnLabels ? $theValue : htmlspecialchars($theValue);
 	}
 
